Debugging Tips
=====================

```
TypeError: 'module object is not callable
```
```
AttributeError: module '' has no attribute ''
```

If you run into a module error like the two above, check the imports. The standard for this code base is to use specific imports like `from <package> import <specific_submodule>`. The migration to this new standard might have missed updating some imports in documentation. Please report any issues to - [Email the project "service desk"](mailto:<gs_gitlab_servicedesk%2bghsc-geomag-geomag-algorithms-3963-issue-@usgs.gov>) (no account required).
