import sqlalchemy_utc

from sqlmodel import SQLModel, Field, Column, String, Text


class session(SQLModel, table=True):
    id: int = Field(primary_key=True)
    session_id: str = Field(sa_column=Column(String(100), index=True))
    data: str = Field(sa_column=Column(Text))
    updated: str = Field(sa_column=Column(sqlalchemy_utc.UtcDateTime, index=True))
