import pytest

from sqlmodel import SQLModel, create_engine

from geomagio.api.db.models.metadata import MetadataTable
from geomagio.api.db.models.metadata_history import MetadataHistoryTable
from geomagio.api.db.models.session import session

# create a test engine that connects to an in memory test database
engine = create_engine("sqlite://")
SQLModel.metadata.create_all(engine)


@pytest.fixture()
def test_engine():
    return engine
